ValueAggregatorJobBase (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapred.lib.aggregate, class: ValueAggregatorJobBase

Package org.apache.hadoop.mapred.lib.aggregate

# Class ValueAggregatorJobBase<K1 extends WritableComparable,V1 extends Writable>

java.lang.Object
org.apache.hadoop.mapred.lib.aggregate.ValueAggregatorJobBase<K1,V1>

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Closeable`, `JobConfigurable`, `Mapper<K1,V1,Text,Text>`, `Reducer<Text,Text,Text,Text>`

Direct Known Subclasses:
  `ValueAggregatorCombiner`, `ValueAggregatorMapper`, `ValueAggregatorReducer`

@Public @Stable public abstract class ValueAggregatorJobBase<K1 extends WritableComparable,V1 extends Writable> extends Object implements Mapper<K1,V1,Text,Text>, Reducer<Text,Text,Text,Text>
This abstract class implements some common functionalities of the the generic mapper, reducer and combiner classes of Aggregate.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ArrayList<ValueAggregatorDescriptor>`
  `aggregatorDescriptorList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueAggregatorJobBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `configure(JobConf job)`
  Initializes a new instance from a `JobConf`.
  `protected void`
  `logSpec()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.mapred.Mapper

  `map`

  ### Methods inherited from interface org.apache.hadoop.mapred.Reducer

  `reduce`

- ## Field Details

  - ### aggregatorDescriptorList

    protected ArrayList<ValueAggregatorDescriptor> aggregatorDescriptorList

- ## Constructor Details

  - ### ValueAggregatorJobBase

    public ValueAggregatorJobBase()

- ## Method Details

  - ### configure

    public void configure(JobConf job)
    Description copied from interface: `JobConfigurable`
    Initializes a new instance from a `JobConf`.
    Specified by:
      `configure` in interface `JobConfigurable`
    Parameters:
      `job` - the configuration

  - ### logSpec

    protected void logSpec()

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Throws:
      `IOException`